Subject: bug#13387: emacsclient -t suspends emacs

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 14 Jan 2013 23:38:30 -0500

Andreas Schwab <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>
>> With these, I don't get git bisect to converge on the bad commit...
>
> That can only happen if you have misattributed a commit.

I don't think I have.  See the what happens below.

The bad commit is: 1f8a924.

$ git bisect start
$ git bisect bad
$ git bisect good f0d19ab
Bisecting: 598 revisions left to test after this (roughly 9 steps)
[28e19080148146cf7cdb42cf7139e8ccfb29560a] * info.el (Info-set-mode-line): Remove file extension from Info-current-file if there is one.
$ git bisect bad
Bisecting: 300 revisions left to test after this (roughly 8 steps)
[b382a63696f3941f207310576c1fe2edd3dc875b] Conflate Qnil and Qunbound for `symbol-function'. * src/alloc.c (Fmake_symbol): Initialize `function' to Qnil. * src/lread.c (init_obarray): Set `function' fields to Qnil. * src/eval.c (Fcommandp): Ignore Qunbound. (Fautoload, eval_sub, Fapply, Ffuncall, Fmacroexpand): * src/data.c (Ffset, Ffboundp, indirect_function, Findirect_function): Test NILP rather than Qunbound. (Ffmakunbound): Set to Qnil. (Fsymbol_function): Never signal an error. (Finteractive_form): Ignore Qunbound.
$ git bisect bad
Bisecting: 143 revisions left to test after this (roughly 7 steps)
[751637b60f8f64f95c56f671ccbcdd4ee26fb99e] Merge from emacs-24; up to r110855
$ git bisect bad
Bisecting: 76 revisions left to test after this (roughly 6 steps)
[2ac3bd2e7270f263f0eb9cae8515cb1206db2b27] Doc fix for gdb-stopped-functions.
$ git bisect bad
Bisecting: 37 revisions left to test after this (roughly 5 steps)
[b0dd821ad4952755f440d998643c9966a00404a5] Rewrite and rename diff-delete-trailing-whitespace.
$ git bisect bad
Bisecting: 18 revisions left to test after this (roughly 4 steps)
[c703fb479c0007a198f0b6cdea6e66f2c84b2b31] * lisp/emacs-lisp/gv.el (gv-define-simple-setter): Don't evaluate `val' twice when `fix-return' is set.
$ git bisect bad
Bisecting: 9 revisions left to test after this (roughly 3 steps)
[a42511a0cc14f22cec63cdab500e5eebbc63c185] Add some documentation on defining new generalized variables
$ git bisect bad
Bisecting: 4 revisions left to test after this (roughly 2 steps)
[b8f1b1dfdd9b7a173d92b2bf47026fbbcee33a41] * dired.texi (Dired Updating): Doc fix.
$ git bisect bad
Bisecting: 1 revision left to test after this (roughly 1 step)
[ce494c0100321e5e571999c50f808679f4798f47] Misc small cl doc fixes
$ git bisect bad
Bisecting: 0 revisions left to test after this (roughly 0 steps)
[51747530361f3eb823040f5e011cb6569153f7f6] Auto-commit of loaddefs files.

^^^^^^^^^^^^^^^^^^^^^^^^^^^
This is before the good commit.  Why?  Let's say it's good anyway:

$ git bisect good
ce494c0100321e5e571999c50f808679f4798f47 is the first bad commit
commit ce494c0100321e5e571999c50f808679f4798f47
Author: Glenn Morris <[email-masked]>
Date:   Mon Nov 5 00:29:12 2012 -0800

    Misc small cl doc fixes
    
    * emacs-lisp/cl-extra.el (cl-maplist, cl-mapcan): Doc fix.
    
    * emacs-lisp/cl-extra.el (cl-prettyexpand):
    * emacs-lisp/cl-lib.el (cl-proclaim, cl-declaim):
    * emacs-lisp/cl-macs.el (cl-destructuring-bind, cl-locally)
    (cl-the, cl-compiler-macroexpand): Add basic doc strings.

:040000 040000 e8dd59be7c6b38dbc1bd0372ae8d9294ada0b354 90653dde40314ec57b022dc389f234c245d1091c M      lisp